Bug 1017509 - when swap is on a GPT partition journal reports swapon failed device resource or busy, unit .swap entered failed state
when swap is on a GPT partition journal reports swapon failed device resource...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 00:40 EDT by Chris Murphy
Modified: 2015-06-29 21:18 EDT (History)
24 users (show)

See Also:
Fixed In Version: systemd-208-14.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:18:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -b (309.96 KB, text/plain)
2013-10-10 00:40 EDT, Chris Murphy
no flags Details
fstab (501 bytes, text/plain)
2013-10-10 11:51 EDT, Chris Murphy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69835 None None None Never

  None (edit)
Description Chris Murphy 2013-10-10 00:40:09 EDT
Created attachment 810281 [details]
journalctl -b

Description of problem: Persistent failure to initially activate swap on boot, when swap is on a partition (not on LV). Seems to slow down boot until it is able to activate, which it eventually does.


Version-Release number of selected component (if applicable):
systemd-208-2.fc20.x86_64

How reproducible:
Every boot, if swap is on e.g. /dev/sda7 (standard partition scheme)
Never, if swap is on e.g. /dev/fedora/swap (LVM partition scheme)


Steps to Reproduce:
1. Install Fedora 20 beta TC2 using standard partition scheme.
2. Reboot
And also yum update and reboot if desired.

Actual results:

Failure to activate, pause, then successful activation.

Oct 09 22:27:07 f20s.localdomain systemd[1]: Failed to activate swap /dev/disk/by-uuid/cdaf435b-a9a7-4b43-b931-1989e51ff055.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Dependency failed for Swap.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Unit dev-disk-by\x2duuid-cdaf435b\x2da9a7\x2d4b43\x2db931\x2d1989e51ff055.swap entered failed state.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Activated swap /dev/sda7.



Expected results:
/dev/sda7 must be available, as rootfs on sda8 is mounted just before this time; yet swapon says swapon failed: Device or resource busy.



Additional info:
Comment 1 Michal Schmidt 2013-10-10 06:22:15 EDT
It looks like it attempts to activate the same swap using two different names:

Oct 09 22:27:07 f20s.localdomain systemd[1]: Activating swap /dev/sda7...
Oct 09 22:27:07 f20s.localdomain systemd[1]: Activating swap /dev/disk/by-uuid/cdaf435b-a9a7-4b43-b931-1989e51ff055...
Oct 09 22:27:07 f20s.localdomain swapon[321]: swapon: /dev/disk/by-uuid/cdaf435b-a9a7-4b43-b931-1989e51ff055: swapon failed: Device or resource busy
Oct 09 22:27:07 f20s.localdomain systemd[1]: dev-disk-by\x2duuid-cdaf435b\x2da9a7\x2d4b43\x2db931\x2d1989e51ff055.swap swap process exited, code=exited status=255
Oct 09 22:27:07 f20s.localdomain kernel: Adding 4079612k swap on /dev/sda7.  Priority:-1 extents:1 across:4079612k FS
Oct 09 22:27:07 f20s.localdomain systemd[1]: Failed to activate swap /dev/disk/by-uuid/cdaf435b-a9a7-4b43-b931-1989e51ff055.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Dependency failed for Swap.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Unit dev-disk-by\x2duuid-cdaf435b\x2da9a7\x2d4b43\x2db931\x2d1989e51ff055.swap entered failed state.
Oct 09 22:27:07 f20s.localdomain systemd[1]: Activated swap /dev/sda7.

Please attach your /etc/fstab.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-10 09:27:40 EDT
Please attach /etc/fstab anyway for reference.

*** This bug has been marked as a duplicate of bug 1003867 ***
Comment 3 Chris Murphy 2013-10-10 11:51:38 EDT
Created attachment 810626 [details]
fstab

fstab for affected system matching journalctl -b attachment
Comment 4 Chris Murphy 2013-10-10 12:01:55 EDT
systemd seems rather insistent on activating swap on /dev/sda7 even without an fstab entry; when I comment out the swap line of the fstab above, and reboot I get this:

[root@f20s ~]# journalctl -b | grep -i swap
Oct 10 09:57:40 localhost.localdomain systemd[1]: Starting Swap.
Oct 10 09:57:40 localhost.localdomain systemd[1]: Reached target Swap.
Oct 10 09:57:42 localhost.localdomain systemd[1]: Stopping Swap.
Oct 10 09:57:42 localhost.localdomain systemd[1]: Stopped target Swap.
Oct 10 09:57:53 f20s.localdomain systemd[1]: Activating swap /dev/sda7...
Oct 10 09:57:53 f20s.localdomain kernel: Adding 4079612k swap on /dev/sda7.  Priority:-1 extents:1 across:4079612k FS
Oct 10 09:57:53 f20s.localdomain systemd[1]: Activated swap /dev/sda7.
Oct 10 09:57:53 f20s.localdomain systemd[1]: Starting Swap.
Oct 10 09:57:53 f20s.localdomain systemd[1]: Reached target Swap.

[root@f20s ~]# swapon
NAME      TYPE      SIZE USED PRIO
/dev/sda7 partition 3.9G   0B   -1

Is it possible there's a persistent entry for /dev/sda7 in the initramfs?
Comment 5 Chris Murphy 2013-10-10 12:08:46 EDT
fstab swap entry still commented out; rename anaconda/new-kernel-pkg initramfs and create a new one with 'dracut initramfs-3.11.3-301.fc20.x86_64.img 3.11.3-301.fc20.x86_64'

a. Odd that the two initramfs's are this different in size:
-rw-------. 1 root root 8935054 Oct 10 10:03 initramfs-3.11.3-301.fc20.x86_64.img
-rw-------. 1 root root 9171466 Oct  9 22:03 initramfs-3.11.3-301.fc20.x86_64.img.bak

b. On reboot with the replacement initramfs, swap is still activated:

Oct 10 10:05:41 f20s.localdomain systemd[1]: Starting Swap.
Oct 10 10:05:41 f20s.localdomain systemd[1]: Reached target Swap.
Oct 10 10:05:43 f20s.localdomain systemd[1]: Stopping Swap.
Oct 10 10:05:43 f20s.localdomain systemd[1]: Stopped target Swap.
Oct 10 10:05:52 f20s.localdomain systemd[1]: Activating swap /dev/sda7...
Oct 10 10:05:52 f20s.localdomain kernel: Adding 4079612k swap on /dev/sda7.  Priority:-1 extents:1 across:4079612k FS
Oct 10 10:05:52 f20s.localdomain systemd[1]: Activated swap /dev/sda7.
Oct 10 10:05:52 f20s.localdomain systemd[1]: Starting Swap.
Oct 10 10:05:52 f20s.localdomain systemd[1]: Reached target Swap.
Comment 6 Michal Schmidt 2013-10-10 12:13:36 EDT
The instructions to activate the swap could be coming a native systemd unit or from a generator (gpt-auto-generator seems likely).

Would you please paste the output of:
systemctl status dev-sda7.swap
Comment 7 Chris Murphy 2013-10-10 12:18:07 EDT
*This is still with new initramfs, and fstab with swap line commented out.

[root@f20s ~]# systemctl status dev-sda7.swap
dev-sda7.swap - /dev/sda7
   Loaded: loaded (/run/systemd/generator.late/dev-sda7.swap)
   Active: active since Thu 2013-10-10 10:05:52 MDT; 11min ago
     What: /dev/sda7
  Process: 293 ExecActivate=/sbin/swapon /dev/sda7 (code=exited, status=0/SUCCESS)

Oct 10 10:05:52 f20s.localdomain systemd[1]: Activated swap /dev/sda7.
Comment 8 Zbigniew Jędrzejewski-Szmek 2013-10-10 16:13:01 EDT
Is the partition table GPT?
Comment 9 Chris Murphy 2013-10-10 16:37:15 EDT
Yes. Computer has EFI firmware.
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-10-10 16:49:27 EDT
gpt-auto-generator is generating a unit for the swap partition. It'll do that if it's marked with the proper linux-swap gpt-type, and resides on the same disk as the root partition [1]. That's why you saw different behaviour when swap was on a bare partition vs. on LVM.

So that's a slightly different bug...

[1] http://www.freedesktop.org/software/systemd/man/systemd-gpt-auto-generator.html
Comment 11 Daniel Belton 2013-11-18 20:49:28 EST
I get the very same error.

I also note that in the page linked to in Comment 10 above, that systemd-gpt-auto-generator is not supposed to do anything if the partition has an entry in /etc/fstab.

quote:

Note that this generator will execute no operation on non-GPT systems, on systems where the units are explicitly configured (for example, listed in fstab(5)) or where the mount point is non-empty.
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-12-08 19:50:45 EST
This should be fixed in http://cgit.freedesktop.org/systemd/systemd/commit/?id=9670d58. Unfortunately it won't be easy to backport.
Comment 13 Chris Murphy 2013-12-17 00:07:42 EST
Gist for CommonBugs:

If swap is a GPT partition (not an LV), the journal will contain various swap failure messages. Most likely 'swapon -s' will list the partition, indicating the swap partition is actually being used, and the failure messages can be ignored. This has been fixed upstream, and will appear in a future Fedora update. 

Alternatively, the swap entry in /etc/fstab can be commented out with '#' which will suppress the error messages. Since the installer sets the partitiontypeGUID marking the partition for Linux swap, systemd will continue to activate this swap partition at startup.
Comment 14 Fedora Update System 2014-01-14 20:26:56 EST
systemd-208-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-11.fc20
Comment 15 Fedora Update System 2014-01-16 02:03:18 EST
Package systemd-208-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0902/systemd-208-11.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2014-02-17 02:39:31 EST
systemd-208-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-13.fc20
Comment 17 Fedora Update System 2014-02-17 10:07:46 EST
systemd-208-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-14.fc20
Comment 18 Fedora Update System 2014-02-24 07:34:43 EST
systemd-208-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Davide Repetto 2014-02-25 08:41:35 EST
Still getting various "Failed to activate swap /dev/sdc5"
Comment 20 Zbigniew Jędrzejewski-Szmek 2014-02-25 08:58:16 EST
(In reply to Davide Repetto from comment #19)
> Still getting various "Failed to activate swap /dev/sdc5"
Yeah, sorry, this update does not fix this bug.
Comment 21 MaxiPunkt 2014-03-07 11:32:47 EST
I think I do have same bug (FC20/64bit on a GPT-partitioned disk).

I then manually added a line for the SWAP-partition into /etc/fstab.
Now the SWAP-partition is being used, but I still get error-messages on boot.

But still suspend2disk didn't work for me, until I extended /etc/default/grub:
GRUB_CMDLINE_LINUX="...  resume=/dev/disk/by-uuid/<UUID>"

On another system (FC20/64bit, but MBR-partitioned disk) I don't have these problems.
Comment 22 MaxiPunkt 2014-03-07 12:36:16 EST
Output on computer with MBR-partitioned disk:

# journalctl -b | grep -i swap
Mär 07 18:47:44 max-netbook.fc20 systemd[1]: Starting Swap.
Mär 07 18:47:44 max-netbook.fc20 systemd[1]: Reached target Swap.
Mär 07 18:47:47 max-netbook.fc20 systemd[1]: Stopping Swap.
Mär 07 18:47:47 max-netbook.fc20 systemd[1]: Stopped target Swap.
Mär 07 17:47:56 max-netbook.fc20 kernel: ALSA sound/pci/hda/patch_realtek.c:427 SKU: swap=0x0
Mär 07 17:47:59 max-netbook.fc20 systemd[1]: Activating swap /dev/disk/by-uuid/03b68cdb-23f5-48da-886a-dfcc6920a100...
Mär 07 17:48:00 max-netbook.fc20 kernel: Adding 4194300k swap on /dev/sda8.  Priority:-1 extents:1 across:4194300k FS
Mär 07 17:48:00 max-netbook.fc20 systemd[1]: Activated swap /dev/disk/by-uuid/03b68cdb-23f5-48da-886a-dfcc6920a100.
Mär 07 17:48:00 max-netbook.fc20 systemd[1]: Starting Swap.
Mär 07 17:48:00 max-netbook.fc20 systemd[1]: Reached target Swap.



Output on computer with GPT-partitioned disk:

# journalctl -b | grep -i swap
Mär 07 18:54:23 max-desktop.fc20 systemd[1]: Starting Swap.
Mär 07 18:54:23 max-desktop.fc20 systemd[1]: Reached target Swap.
Mär 07 18:54:25 max-desktop.fc20 systemd[1]: Stopping Swap.
Mär 07 18:54:25 max-desktop.fc20 systemd[1]: Stopped target Swap.
Mär 07 17:54:32 max-desktop.fc20 kernel: ALSA sound/pci/hda/patch_realtek.c:427 SKU: swap=0x0
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Activating swap /dev/sda3...
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Activating swap /dev/disk/by-uuid/23668b20-ffef-4baf-a054-2fb8a53c7e13...
Mär 07 17:54:33 max-desktop.fc20 swapon[496]: swapon: /dev/sda3: swapon failed: Das Gerät oder die Ressource ist belegt
Mär 07 17:54:33 max-desktop.fc20 kernel: Adding 8388604k swap on /dev/sda3.  Priority:-1 extents:1 across:8388604k FS
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: dev-sda3.swap swap process exited, code=exited status=255
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Failed to activate swap /dev/sda3.
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Unit dev-sda3.swap entered failed state.
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Activated swap /dev/disk/by-uuid/23668b20-ffef-4baf-a054-2fb8a53c7e13.
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Starting Swap.
Mär 07 17:54:33 max-desktop.fc20 systemd[1]: Reached target Swap.

On both computers there is a entry for SWAP-partition inside /etc/fstab.

If I comment-out this line, SWAP-partition will not be used anymore.
This is valid also on computer with MBR-partitions.

Thought that SWAP might be activated automatically - even with no fstab-entry present, but this seems not to be the case - at least with my systems.
Comment 23 Chris Murphy 2014-03-07 15:32:24 EST
(In reply to MaxiPunkt from comment #22)
> Thought that SWAP might be activated automatically - even with no
> fstab-entry present, but this seems not to be the case - at least with my
> systems.

Is the gdisk reported partition type code 8200 for this swap partition? It needs to have the linux swap partitiontypeGUID in order for systemd to automatically use  it as swap. Generic 0700 or 8300 or a swap in LVM doesn't autoactivate.
Comment 24 collura 2014-03-08 05:56:10 EST
0)
$ journalctl -b --no-pager|grep swap
Mar 07 22:57:32 <removed>.<removed> systemd[1]: Activating swap /dev/sd<removed>...
Mar 07 22:57:32 <removed>.<removed> systemd[1]: Activating swap /dev/disk/by-uuid/<removed>
Mar 07 22:57:32 <removed>.<removed> swapon[478]: swapon: /dev/sd<removed>: swapon failed: Device or resource busy
Mar 07 22:57:32 <removed>.<removed> kernel: Adding 5652476k swap on /dev/sd<removed>.  Priority:-1 extents:1 across:5652476k FS
Mar 07 22:57:32 <removed>.<removed> systemd[1]: dev-sd<removed>.swap swap process exited, code=exited status=255
Mar 07 22:57:32 <removed>.<removed> systemd[1]: Failed to activate swap /dev/sd<removed>.
Mar 07 22:57:32 <removed>.<removed> systemd[1]: Unit dev-sd<removed>.swap entered failed state.
Mar 07 22:57:32 <removed>.<removed> systemd[1]: Activated swap /dev/disk/by-uuid/<removed>

1) gdisk says 

  "Partition table scan:
     MBR: protective
     BSD: not present
     APM: not present
     GPT: present"

  and that swap partition is linux-swap type "8200"
Comment 25 MaxiPunkt 2014-03-08 06:28:33 EST
(In reply to Chris Murphy from comment #23)

> Is the gdisk reported partition type code 8200 for this swap partition?
Yes, it is - partition-type is correct on both systems!


Computer with MBR-partitioned disk:

# fdisk -l /dev/sda | grep -i swap
/dev/sda8       209926144 218314751   4194304  82 Linux swap / Solaris


Computer with GPT-partitioned disk:

# gdisk -l /dev/sda | grep -i swap
   3          208896        16986111   8.0 GiB     8200  SWAP


As written before, SWAP after boot is usable only on both systems, if a entry in /etc/fstab is present for SWAP-partition.

Should SWAP be autoactivated without fstab-entry, for sure?
Comment 26 Chris Murphy 2014-03-09 22:30:52 EDT
Well it was auto-activate for me on GPT disks with the proper partitiontypeGUID all through Fedora pre-release testing. And as I'm testing it now, it doesn't do this anymore. It only activates swap if it's listed in fstab. This is with systemd-208-14.fc20.x86_64.
Comment 27 MaxiPunkt 2014-03-10 15:10:49 EDT
So auto-activation used to work before - interesting.

At least systemd still seems to do "something" with an existing SWAP-partition, also if there's no fstab-entry present.


Computer with MBR-partitioned disk, no fstab-entry for SWAP:

# journalctl -b | grep -i swap
Mär 10 20:23:46 max-netbook.fc20 systemd[1]: Starting Swap.
Mär 10 20:23:46 max-netbook.fc20 systemd[1]: Reached target Swap.
Mär 10 20:23:49 max-netbook.fc20 systemd[1]: Stopping Swap.
Mär 10 20:23:49 max-netbook.fc20 systemd[1]: Stopped target Swap.
Mär 10 19:23:59 max-netbook.fc20 kernel: ALSA sound/pci/hda/patch_realtek.c:427 SKU: swap=0x0

What exactly does happen here?


systemd behaves differently with no fstab-entry - see my comment #22
In this case it additionaly tries to "activate" the SWAP-partition.

But what is the difference between "starting" & "activating" SWAP?


As pointed out in comment #1 already, systemd seems to try to "activate" SWAP twice on systems with GPT-partitioned disks:
1st attempt: /dev/sd<BLAH>
2nd attempt: /dev/disk/by-uuid/<BLAH>

... and finally one of these processes fail.
Comment 28 MaxiPunkt 2014-11-21 11:40:07 EST
Btw., FC20 with all updates (systemd-208-28.fc20.x86_64) behaves different on my computers now:


* computer with GPT-partitioned disk, no fstab-entry for SWAP:
# journalctl -b | grep -i swap
Nov 21 17:49:19 max-desktop.fc20 systemd[1]: Starting Swap.
Nov 21 17:49:19 max-desktop.fc20 systemd[1]: Reached target Swap.
Nov 21 17:49:21 max-desktop.fc20 systemd[1]: Stopping Swap.
Nov 21 17:49:21 max-desktop.fc20 systemd[1]: Stopped target Swap.
Nov 21 16:49:32 max-desktop.fc20 systemd[1]: Activating swap /dev/sda3...
Nov 21 16:49:32 max-desktop.fc20 kernel: Adding 8388604k swap on /dev/sda3.  Priority:-1 extents:1 across:8388604k FS
Nov 21 16:49:32 max-desktop.fc20 systemd[1]: Activated swap /dev/sda3.
Nov 21 16:49:32 max-desktop.fc20 systemd[1]: Starting Swap.
Nov 21 16:49:32 max-desktop.fc20 systemd[1]: Reached target Swap.

=> auto-activation of SWAP is successful.



* computer with GPT-partitioned disk, with fstab-entry for SWAP:
# journalctl -b | grep -i swap
Nov 21 18:27:37 max-desktop.fc20 systemd[1]: Starting Swap.
Nov 21 18:27:37 max-desktop.fc20 systemd[1]: Reached target Swap.
Nov 21 18:27:39 max-desktop.fc20 systemd[1]: Stopping Swap.
Nov 21 18:27:39 max-desktop.fc20 systemd[1]: Stopped target Swap.
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Activating swap /dev/sda3...
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Activating swap /dev/disk/by-uuid/23668b20-ffef-4baf-a054-2fb8a53c7e13...
Nov 21 17:27:47 max-desktop.fc20 kernel: Adding 8388604k swap on /dev/sda3.  Priority:-1 extents:1 across:8388604k FS
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Activated swap /dev/disk/by-uuid/23668b20-ffef-4baf-a054-2fb8a53c7e13.
Nov 21 17:27:47 max-desktop.fc20 swapon[601]: swapon: /dev/sda3: swapon fehlgeschlagen: Das Gerät oder die Ressource ist belegt
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: dev-sda3.swap swap process exited, code=exited status=255
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Failed to activate swap /dev/sda3.
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Unit dev-sda3.swap entered failed state.
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Starting Swap.
Nov 21 17:27:47 max-desktop.fc20 systemd[1]: Reached target Swap.

=> system is able to activate SWAP, but there are some error lines.



* computer with MBR-partitioned disk, no fstab-entry for SWAP:
# journalctl -b | grep -i swap
Nov 21 17:59:16 max-netbook.fc20 systemd[1]: Starting Swap.
Nov 21 17:59:16 max-netbook.fc20 systemd[1]: Reached target Swap.
Nov 21 17:59:19 max-netbook.fc20 systemd[1]: Stopping Swap.
Nov 21 17:59:19 max-netbook.fc20 systemd[1]: Stopped target Swap.
Nov 21 16:59:56 max-netbook.fc20 blivet[767]: registered device format class SwapSpace as swap

=> auto-activation of SWAP fails!



* computer with MBR-partitioned disk, with fstab-entry for SWAP:
# journalctl -b | grep -i swap
Nov 21 18:20:00 max-netbook.fc20 systemd[1]: Starting Swap.
Nov 21 18:20:00 max-netbook.fc20 systemd[1]: Reached target Swap.
Nov 21 18:20:04 max-netbook.fc20 systemd[1]: Stopping Swap.
Nov 21 18:20:04 max-netbook.fc20 systemd[1]: Stopped target Swap.
Nov 21 17:20:17 max-netbook.fc20 systemd[1]: Activating swap /dev/disk/by-uuid/03b68cdb-23f5-48da-886a-dfcc6920a100...
Nov 21 17:20:17 max-netbook.fc20 kernel: Adding 4194300k swap on /dev/sda8.  Priority:-1 extents:1 across:4194300k FS
Nov 21 17:20:17 max-netbook.fc20 systemd[1]: Activated swap /dev/disk/by-uuid/03b68cdb-23f5-48da-886a-dfcc6920a100.
Nov 21 17:20:17 max-netbook.fc20 systemd[1]: Starting Swap.
Nov 21 17:20:17 max-netbook.fc20 systemd[1]: Reached target Swap.

=>  system is able to activate SWAP.
Comment 29 JM 2015-02-12 13:36:46 EST
I still have this problem (swap with GPT) with Fedora 21 (upgrade from Fedora 20). systemd is 216-17. It looks like the bug is not fixed.

Feb 12 19:22:38 foo.bar systemd[1]: Failed to activate swap /dev/disk/by-uuid/bbc93640-4198-42cd-bd75-1de2839b1529.

but later the swap partition is active

systemctl status dev-sda7.swap 
 dev-sda7.swap - Swap Partition
   Loaded: loaded (/run/systemd/generator.late/dev-sda7.swap)
   Active: active since Do 2015-02-12 19:22:38 CET; 12min ago
     What: /dev/sda7
     Docs: man:systemd-gpt-auto-generator(8)
  Process: 604 ExecActivate=/sbin/swapon /dev/sda7 (code=exited, status=0/SUCCESS)
Comment 30 schaefi 2015-02-13 04:54:10 EST
I also seem to have this bug with Fedora 21. For a better tracking and to avoid misunderstandigs I filed a new bug for Fedora 21:
https://bugzilla.redhat.com/show_bug.cgi?id=1192393

@JM: how can you read out the system message with journalctl?
Comment 31 Sergei LITVINENKO 2015-04-25 10:20:41 EDT
Fedora-21 is affected too

kernel:
3.19.4-200.fc21.x86_64

# rpm -qa | grep systemd-2
systemd-216-24.fc21.x86_64

# gdisk -l /dev/sda
GPT fdisk (gdisk) version 1.0.0

Partition table scan:
  MBR: protective
  BSD: not present
  APM: not present
  GPT: present

Found valid GPT with protective MBR; using GPT.
Disk /dev/sda: 1953525168 sectors, 931.5 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): CCBD94E6-5521-4302-BE18-7A19F5028054
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 1953525134
Partitions will be aligned on 2048-sector boundaries
Total free space is 3437 sectors (1.7 MiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048          206847   100.0 MiB   EF00  EFI System Partition
   2          206848         2050047   900.0 MiB   2700  Basic data partition
   3         2050048         2312191   128.0 MiB   0C01  Microsoft reserved ...
   4         2312192       207112191   97.7 GiB    0700  Basic data partition
   5      1911560192      1953523711   20.0 GiB    2700  Basic data partition
   6       207112192       208136191   500.0 MiB   8300  
   7       208136192       224389119   7.8 GiB     8200  
   8       224389120       329246719   50.0 GiB    8300  
   9       329246720      1911560191   754.5 GiB   8300



# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Tue Apr 14 11:05:08 2015
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=69df7de4-2718-4d66-acc9-f2704f8447c7 /          ext4    defaults,noatime,nodiratime  1 1
UUID=ddb393db-5363-430e-b789-01be4f684943 /boot      ext4    defaults,noatime,nodiratime  1 2
UUID=8E52-0AA2                            /boot/efi  vfat    umask=0077,shortname=winnt   0 0
UUID=c0c8fb88-ec6b-451b-b95d-730a6e962f87 /home      ext4    defaults,noatime,nodiratime  1 2
UUID=872e1336-3cee-45cc-a33e-4a0394e8680c swap       swap    defaults                     0 0

#

# systemctl status dev-disk-by\x2duuid-872e1336\x2d3cee\x2d45cc\x2da33e\x2d4a0394e8680c.swap
● dev-disk-byx2duuid-872e1336x2d3ceex2d45ccx2da33ex2d4a0394e8680c.swap - /dev/disk/byx2duuid/872e1336x2d3ceex2d45ccx2da33ex2d4a0394e8680c
   Loaded: loaded
   Active: inactive (dead)
     What: /dev/disk/byx2duuid/872e1336x2d3ceex2d45ccx2da33ex2d4a0394e8680c
Comment 32 JM 2015-05-11 07:18:17 EDT
(In reply to schaefi from comment #30)
> I also seem to have this bug with Fedora 21. For a better tracking and to
> avoid misunderstandigs I filed a new bug for Fedora 21:
> https://bugzilla.redhat.com/show_bug.cgi?id=1192393
> 
> @JM: how can you read out the system message with journalctl?

man journalctl
Comment 33 Fedora End Of Life 2015-05-29 05:32:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Fedora End Of Life 2015-06-29 21:18:53 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.